﻿using System.Diagnostics;
using System.Text;

namespace StringBuilderTest
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int cnt = 100000;
            Stopwatch sw = new Stopwatch();

            Console.WriteLine("Test1\tString");
            sw.Start();
            
            string s = "";
            for (int i = 0; i < cnt; i++)
            {
                s += i;
            }

            sw.Stop();
            Console.WriteLine($"Elapsed: {sw.ElapsedMilliseconds}ms");

            Console.WriteLine("Test2\tStringBuilder");
            sw.Restart();
            StringBuilder sb = new StringBuilder();
            for (int i = 0; i < cnt; i++)
            {
                sb.Append(i);
            }

            sw.Stop();
            Console.WriteLine($"Elapsed: {sw.ElapsedMilliseconds}ms");
        }
    }
}